Bug 135997 - UPDATEDEFAULT in /etc/sysconfig/kernel does not work (fix included)
UPDATEDEFAULT in /etc/sysconfig/kernel does not work (fix included)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 12:13 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 11:28:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-10-16 12:13:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
The UPDATEDEFAULT parameter in /etc/sysconfig/kernel (introduced in
4.1.15-1) does not work.

Quick analysis shows that line 338 in /sbin/new-kernel-pkg should
probably read
makedefault="--make-default"

Version-Release number of selected component (if applicable):
mkinitrd-4.1.17-1

How reproducible:
Always

Steps to Reproduce:
1. Set UPDATEDEFAULT, run new-kernel-pkg
2.
3.
    

Actual Results:  new kernel is not default

Expected Results:  new kernel should be default

Additional info:
Comment 1 Jeremy Katz 2004-10-17 17:52:44 EDT
Thanks, fixed in 4.1.18

Note You need to log in before you can comment on or make changes to this bug.